export declare enum ButtonType {
    default = 0,
    signUp = 1,
    continue = 2
}
export declare enum ButtonStyle {
    white = 0,
    whiteOutline = 1,
    black = 2
}
export declare enum AuthScope {
    email = "email",
    fullName = "full_name"
}
export interface ModuleConstants {
    authScopes: typeof AuthScope;
    buttonStyles: typeof ButtonStyle;
    buttonTypes: typeof ButtonType;
    isAvailable: boolean;
}
export interface PersonNameComponents {
    familyName?: String;
    givenName?: String;
    middleName?: String;
    namePrefix?: String;
    nameSuffix?: String;
    nickname?: String;
    phoneticRepresentation?: PersonNameComponents;
}
export declare type UserDetectionStatus = 'unknown' | 'unsopported' | 'likelyReal';
export interface AuthorizationCredentials {
    user: String;
    state?: String;
    authorizedScopes: [AuthScope];
    authorizationCode?: String;
    identityToken?: String;
    email?: String;
    fullName: PersonNameComponents;
    realUserStatus: UserDetectionStatus;
}
export interface AuthorizationError {
    code: 'ASAUTHORIZATION_ERROR';
    message: String;
}
//# sourceMappingURL=Types.d.ts.map